Subject: Re: hwset to teststand?
From: Bill Ashmanskas <[email-masked]>
To: Takasumi Maruyama <[email-masked]>
Date: Wed, 27 Nov 2002 09:38:49 -0600 (CST)

Hi, Taka.

You can run the cold start for one board in the test stand like this (e.g. 
a TF in slot 12):

svtvme_tf_cstest(12, "tf_w00", "hw=taka", 1)

this will read from the file

~cdf_svt/svtconf/taka.hwset

There is also a svtvme_gb_cstest, etc.

If you want to try a private version of the svtvme library before 
committing it, you can do this:

log into b0dap30
cd ~/svtvme (or whatever your private svtvme area is)
source setup_local
make
make ppc

then log into the test stand and do this:
unld "svtvme_th.o"
ld < /cdf/people3/maruyama/svtvme/lib/VxWorks-5.3/ppc/svtvme_th.o

then you can run the new version of svtvme_gb_cstest or whatever.

-Bill

On Tue, 26 Nov 2002, Takasumi Maruyama wrote:

> 
>   Hi, Bill.
> 
>   I want to make sure modification of cold start is OK or not using 
>  teststand at first.
>  Even in this case, do I need to download new hwset to online?
>  (Of course, I need to change hwset for modification.) 
> 
>   Thanks.
>   Taka.
>